<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!-- This file has been generated by tj3man v3.1.0 -->
<html lang="en" xml:lang="en" xmlns="http://www.w3.org/1999/xhtml">
 <head>
  <title>managers</title>
  <meta content="text/html; charset=utf-8" http-equiv="Content-Type"/>
  <meta content="The TaskJuggler Manual" name="description"/>
  <meta content="taskjuggler, project, management" name="keywords"/>
 </head>
 <link href="css/tjmanual.css" rel="stylesheet" type="text/css"></link>
 <body>
  <div align="center">
   <h3 align="center">The TaskJuggler User Manual</h3>
   <em align="center">Project Management beyond Gantt Chart Drawing</em>
  </div>
  <br/>
  <hr/>
  <table style="width:90%; margin-left:5%; margin-right:5%"><tr>
    <td style="text-align:left; width:35%;">&lt;&lt; <a href="macro.html">macro</a> &lt;&lt;</td>
    <td style="text-align:center; width:30%;"><a href="toc.html">Table Of Contents</a></td>
    <td style="text-align:right; width:35%;">&gt;&gt; <a href="mandatory.html">mandatory</a> &gt;&gt;</td>
   </tr></table>
  <hr/>
  <br/>
  <div style="margin-left:5%; margin-right:5%">
   <p><table align="center" class="table"><tr align="left">
      <td class="tag" style="width:16%">Keyword</td>
      <td class="descr" style="width:84%; font-weight:bold">managers</td>
     </tr></table></p>
   <p><table align="center" class="table">
     <colgroup>
      <col width="16%"></col>
      <col width="24%"></col>
      <col width="60%"></col>
     </colgroup>
     <tr align="left">
      <td class="tag">Purpose</td>
      <td class="descr" colspan="2"><div>
        <p>Defines one or more resources to be the manager who is responsible for this resource. Managers must be leaf resources. This attribute does not impact the scheduling. It can only be used for documentation purposes.</p>
        <p>You must only specify direct managers here. Do not list higher level managers here. If necessary, use the <a href="purge.html">purge</a> attribute to clear inherited managers. For most use cases, there should be only one manager. But TaskJuggler is not limited to just one manager. Dotted reporting lines can be captured as well as long as the managers are not reporting to each other.</p>
       </div></td>
     </tr>
     <tr align="left">
      <td class="tag">Syntax</td>
      <td class="descr" colspan="2"><code>managers &lt;resource&gt; [, &lt;resource&gt;...]</code></td>
     </tr>
     <tr align="left">
      <td class="tag" rowspan="1">Arguments</td>
      <td class="descr">resource [<a href="The_TaskJuggler_Syntax.html#ID">ID</a>]</td>
      <td class="descr"><div>The ID of a defined resource</div></td>
     </tr>
     <tr align="left">
      <td class="tag">Context</td>
      <td class="descr" colspan="2">
       <a href="resource.html">resource</a>, <a href="supplement.resource.html">supplement (resource)</a>
      </td>
     </tr>
     <tr align="left">
      <td class="tag">See also</td>
      <td class="descr" colspan="2"><a href="statussheet.html">statussheet</a></td>
     </tr>
    </table></p>
   <div class="codeframe"><pre class="code">project "test" 2010-04-03 +1w {
  timezone "America/Denver"
}

resource "The Company" {
  resource ceo "Big Boss"
  managers ceo

  resource "R&amp;D Team" {
    resource vpe "VP Engineering"
    purge managers
    managers vpe

    resource "The Hacker"
    resource "Doc Writer"
  }
  resource "F&amp;A Team" {
    resource coo "Chief Operating Officer"
    purge managers
    managers coo

    resource "HR Lady"
    resource "Accountant"
  }
}

task "T"

resourcereport "Managers" {
  formats html
  columns name, directreports, reports
}
</pre></div>
  </div>
  <br/>
  <hr/>
  <table style="width:90%; margin-left:5%; margin-right:5%"><tr>
    <td style="text-align:left; width:35%;">&lt;&lt; <a href="macro.html">macro</a> &lt;&lt;</td>
    <td style="text-align:center; width:30%;"><a href="toc.html">Table Of Contents</a></td>
    <td style="text-align:right; width:35%;">&gt;&gt; <a href="mandatory.html">mandatory</a> &gt;&gt;</td>
   </tr></table>
  <hr/>
  <br/>
  <div align="center" style="font-size:10px;">Copyright (c) 2006, 2007, 2008, 2009, 2010, 2011, 2012 by Chris Schlaeger &lt;chris@linux.com&gt;.<a href="http://www.taskjuggler.org">TaskJuggler</a> is a trademark of Chris Schlaeger.</div>
 </body>
</html>
